# openstack.compute.v2.limits

## The Limits Class

The `Limits` class inherits from `Resource`.

class openstack.compute.v2.limits.Limits(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  base_path = '/limits'

    The base part of the URI for this resource.

  resource_key = 'limits'

    Singular form of key for resource.

  allow_fetch = True

    Allow get operation for this resource.

  absolute

    An absolute limits object.

  rate

    Rate-limit compute resources. This is only populated when using the legacy v2 API which was removed in Nova 14.0.0 (Newton). In v2.1 it will always be an empty list.

  fetch(session, requires_id=False, base_path=None, error_message=None, skip_cache=False, **params)

    Get the Limits resource.

    Parameters:

      session (`Adapter`) – The session to use for making this request.

    Returns:

      A Limits instance

    Return type:

      `Limits`

## The AbsoluteLimits Class

The `AbsoluteLimits` class inherits from `Resource`.

class openstack.compute.v2.limits.AbsoluteLimits(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  image_meta

    The number of key-value pairs that can be set as image metadata.

  personality

    The maximum number of personality contents that can be supplied.

  personality_size

    The maximum size, in bytes, of a personality.

  security_group_rules

    The maximum amount of security group rules allowed.

  security_groups

    The maximum amount of security groups allowed.

  security_groups_used

    The amount of security groups currently in use.

  server_meta

    The number of key-value pairs that can be set as server metadata.

  total_cores

    The maximum amount of cores.

  total_cores_used

    The amount of cores currently in use.

  floating_ips

    The maximum amount of floating IPs.

  floating_ips_used

    The amount of floating IPs currently in use.

  instances

    The maximum amount of instances.

  instances_used

    The amount of instances currently in use.

  keypairs

    The maximum amount of keypairs.

  total_ram

    The maximum RAM size in megabytes.

  total_ram_used

    The RAM size in megabytes currently in use.

  server_groups

    The maximum amount of server groups.

  server_groups_used

    The amount of server groups currently in use.

  server_group_members

    The maximum number of members in a server group.

## The RateLimit Class

The `RateLimit` class inherits from `Resource`.

class openstack.compute.v2.limits.RateLimit(_synchronized=False, connection=None, **attrs)

  The base resource

  Parameters:

    - _synchronized (bool) – This is not intended to be used directly. See `new()` and `existing()`.

    - connection (openstack.connection.Connection) – Reference to the Connection being used. Defaults to None to allow Resource objects to be used without an active Connection, such as in unit tests. Use of `self._connection` in Resource code should protect itself with a check for None.

  next_available

    Rate limits next availabe time.

  remaining

    Integer for rate limits remaining.

  unit

    Unit of measurement for the value parameter.

  value

    Integer number of requests which can be made.

  verb

    An HTTP verb (POST, PUT, etc.).

this page last updated: 2026-01-16 23:06:19

Except where otherwise noted, this document is licensed under Creative Commons Attribution 3.0 License. See all OpenStack Legal Documents.